// pages/userCenter.js
const app = getApp()
const wxService = require('../../utils/wxService')
const utils = require('../../utils/util')
const envInfo = require('../../config/index').envInfo

wxService.page({
  /**
   * 页面的初始数据
   */
  data: {
    params:{
      pageNo:'1',
      pageSize:'10'
    },
    totalPages:''
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {

  },

  //获取消费列表
  initOrderList(type){
    wx.showLoading({
      title: '加载中'
    })
    wxService.post('/sale/order/list',this.data.params).then(res => {
      let orderList = [];
      orderList = this.data.params.pageNo == 1 ? res.data.data : this.data.orderList.concat(res.data.data);
      this.setData({
        orderList,
        totalPages: res.data.data.totalPages,
      })
      wx.hideLoading();
      if (type && type.pullDown) wx.stopPullDownRefresh();
    }).finally(() => {
      wx.hideLoading();
      this.setData({
        orderList: ''
      })
    })
  },

  /**
  * 页面相关事件处理函数--监听用户下拉动作
  */
  onPullDownRefresh: function () {
    this.setData({
      params: {
        pageNo: 1,
        pageSize: 10,
      },
    })
    this.initOrderList({
      pullDown: true
    });
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  bindDownLoad: function () {
    if (this.data.params.pageNo < this.data.totalPages) {
      this.setData({
        params: {
          pageNo: this.data.params.pageNo + 1,
          pageSize: 10
        },
        loadDataDone: true
      })
      this.initOrderList()
    }
  },
})